#!/bin/sh

set -eu

cat <<EOF > /root/tl-setup.answer
accept-eula=yes
server-type=master
migrate-conf=old
install-required-libs=yes
install-nfs=no
install-sshd=no
install-gtk=yes
install-python-ldap=no
agent-hostname-choice=manual
manual-agent-hostname=$(hostname -f)
email-address=adm@foo.sh
tlwebadm-password=$(dd if=/dev/urandom count=1 2> /dev/null | base64 | tail -n 1 | cut -c 1-20)
setup-thinlocal=no
setup-nearest=no
setup-firewall=no
setup-selinux=yes
setup-apparmor=no
missing-answer=abort
EOF

/opt/thinlinc/sbin/tl-setup -a /root/tl-setup.answer
